module.exports = {
  overrides: [
    {
      files: ['**/*.test.js', '**/*.tests.js', '**/*.spec.js', '**/*.specs.js'],
      env: {
        es2021: true,
        node: true,
        jest: true
      },
      plugins: ['jest', 'testing-library', 'jest-dom'],
      parserOptions: {
        ecmaVersion: 'latest',
        sourceType: 'module'
      },
      rules: {
        'no-var': 'error',
        'no-const-assign': 'error',
        'prefer-const': ['error', { destructuring: 'all' }],
        'no-new-object': 'error',
        'no-array-constructor': 'error',
        'prefer-arrow-callback': 'error',
        'max-lines': [
          'error',
          { max: 100, skipBlankLines: false, skipComments: false }
        ],
        'prefer-template': 'error',
        'testing-library/render-result-naming-convention': 'error',
        'testing-library/no-unnecessary-act': 'error',
        'testing-library/prefer-screen-queries': 'error',
        'testing-library/prefer-user-event': 'error',
        'testing-library/prefer-presence-queries': [
          'error',
          { presence: true, absence: true }
        ],
        'testing-library/no-container': 'error',
        'jest-dom/prefer-in-document': 'error',
        'jest/consistent-test-it': 'error',
        'jest/max-nested-describe': ['error', { max: 3 }],
        'jest/no-conditional-in-test': 'error',
        'jest/expect-expect': 'error',
        'jest/no-conditional-expect': 'error',
        'jest/valid-title': 'error',
        'jest/no-identical-title': 'error'
      }
    }
  ]
};
